# Pipe.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/Default_Constants.h"`
`#include "ace/OS_NS_sys_uio.h"`
`#include "ace/OS_NS_unistd.h"`
`#include "ace/Pipe.inl"`

Include dependency graph for Pipe.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Pipe
| Provides a portable bidirectional "pipe" abstraction. More...

## Detailed Description

Id
  Pipe.h,v 4.20 2005/10/28 16:14:54 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>